<?php
/* wppa-edit-sequence.php
* Package: wp-photo-album-plus
*
* Contains the admin menu and startups the admin pages
* Version 8.1.10.001
*
*/

if ( ! defined( 'ABSPATH' ) ) die( "Can't load this file directly" );

function _wppa_edit_sequence() {

	$album = wppa_get( 'album', '0' );
	$iconurl = WPPA_URL.'/img/camera32.png';

	$result = '
	<div class="wrap">

		<img id="icon-photos" src="' . $iconurl . '" />
		<h1>' . esc_html__( 'Edit Photo Sequence', 'wp-photo-album-plus' ) . '
			<span style="font-size:0.5em">' . esc_html( __( 'A subset of Album Admin page', 'wp-photo-album-plus' ) ) . '</span>
		</h1>

		<select
			id="wppa-edit-sequence-album"
			>' .
			wppa_album_select_a( array( 'addpleaseselect'	=> true,
										'path'				=> true,
										'selected'			=> $album,
										'sort' 				=> true,
										) ) . '
		</select>
		<input
			type="button"
			class="button-primary"
			onclick="wppaGoEditSequence()"
			value="' . esc_attr( __( 'Go edit sequence', 'wp-photo-album-plus' ) ) . '"
		/>

	</div>';

	wppa_echo( $result );

	if ( $album ) {
		wppa_album_photos_sequence( $album );
	}

	$the_js = '
		function wppaGoEditSequence() {
			var album = jQuery(\'#wppa-edit-sequence-album\').val();
			if (album) {
				var url = document.location.href+\'&album=\'+album;
				document.location.href = url;
			}
			else {
				alert(\'Please select an album first\');
			}
		}';
	wppa_add_inline_script( 'wppa-admin', $the_js );
}